package com.example.demo.games.model;

import java.util.Objects;

import com.example.demo.core.model.BaseEntity;
import com.example.demo.types.model.TypeEntity;

// Сама сущность игры (ДОБАВИТЬ ФОТО)
public class GameEntity extends BaseEntity {
    private TypeEntity type;
    private String title;
    private Integer price;
    private String description;

    public GameEntity() {
        super();
    }

    public GameEntity(Long id, TypeEntity type, String title, Integer price, String description) {
        super(id);
        this.type = type;
        this.title = title;
        this.price = price;
        this.description = description;
    }


    public TypeEntity getType() {
        return type;
    }

    public void setType(TypeEntity type) {
        this.type = type;
    }



    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }



    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }


    
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
